pub mod aes;
pub mod tdes;
pub mod tdes_2k;
pub mod tdes_3k;

use crate::error::Result;

//TODO: impl this for all the ciphers
trait Cipher {
    fn encrypt (data: &[u8], key: &[u8], iv: &[u8]) -> Result<Vec<u8>>;
    fn decrypt(data: &[u8], key: &[u8], iv: &[u8]) -> Result<Vec<u8>>;
}